# Created by pyp2rpm-3.3.2
%global pypi_name xmlschema

Name:           python-%{pypi_name}
Version:        1.3.1
Release:        %mkrel 1
Summary:        An XML Schema validator and decoder
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/xmlschema
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(elementpath)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
The xmlschema library is an implementation of XML Schema for Python.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-doc < 1.0.16

%description -n python3-%{pypi_name}
The xmlschema library is an implementation of XML Schema for Python.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info/

# fix reqs
perl -pi -e 's/~=/>=/g' requirements-dev.txt setup.py

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build doc html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

# fix shebangs
%{_bindir}/pathfix.py -pni "%__python3 %{py_shbang_opts}" %{buildroot}%{python3_sitelib}

%files -n python3-%{pypi_name}
%license LICENSE
%doc html README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{_bindir}/xmlschema-json2xml
%{_bindir}/xmlschema-validate
%{_bindir}/xmlschema-xml2json


%changelog
* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.3.1-1.mga8
+ Revision: 1644645
- new version 1.3.1

* Sun Mar 01 2020 wally <wally> 1.1.1-1.mga8
+ Revision: 1552627
- new version 1.1.1

* Tue Feb 18 2020 umeabot <umeabot> 1.0.16-2.mga8
+ Revision: 1541338
- Mageia 8 Mass Rebuild

* Tue Dec 24 2019 wally <wally> 1.0.16-1.mga8
+ Revision: 1469908
- new version 1.0.16
- drop separate doc pkg

* Thu Sep 26 2019 daviddavid <daviddavid> 1.0.13-2.mga8
+ Revision: 1446261
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.0.13-1.mga8
+ Revision: 1429773
- imported package python-xmlschema

